/**
 *
 */
package de.intevation.gnv.geobackend.base.query.container;

import java.util.Collection;
import java.util.Properties;

import de.intevation.gnv.geobackend.base.query.container.exception.QueryContainerException;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface QueryContainer {
    

    /**
     * Returns the Query specified by the given queryID.
     * @param queryID the ID which speciogies the Query which should be returned
     * @return the Query
     * @throws QueryContainerException
     */
    public String getQuery(String queryID) throws QueryContainerException;

    /**
     * Initializes the QueryContainer
     * @param properties The Properties which should be used for initializing QueryContainer
     * @throws QueryContainerException
     */
    public void initialize(Properties properties) throws QueryContainerException;
}
